## edu.wisc.ssec.mcidas
Class GOESnav

    java.lang.Object
      edu.wisc.ssec.mcidas.AREAnav
          edu.wisc.ssec.mcidas.GOESnav

All Implemented Interfaces:
  Serializable

public final class GOESnav
extends AREAnav

Navigation class for GOES (GOES D-H) type nav. This code was modified from the original FORTRAN code (nvxgoes.dlm) on the McIDAS system. It only supports latitude/longitude to line/element transformations (LL) and vice/versa. Transform to 'XYZ' not implemented.

See Also:
  McIDAS Programmer's Manual, Serialized Form

Field Summary

Fields inherited from class edu.wisc.ssec.mcidas.AREAnav
`DEGREES_TO_RADIANS, DMSP, GMSX, GOES, GVAR, indexEle, indexLat, indexLine, indexLon, LALO, LAMB, LL, MERC, MOLL, MSAT, MSG, MSGT, POES, PS, RADIANS_TO_DEGREES, RADR, RECT, serialVersionUID, TANC, XY`

Constructor Summary
`GOESnav(int[] iarr)` Set up for the real math work.

Method Summary
`double[][]` `toLatLon(double[][] linele)` converts from satellite coordinates to latitude/longitude
`float[][]` `toLatLon(float[][] linele)` converts from satellite coordinates to latitude/longitude
`double[][]` `toLinEle(double[][] latlon)` toLinEle converts lat/long to satellite line/element
`float[][]` `toLinEle(float[][] latlon)` toLinEle converts lat/long to satellite line/element

Methods inherited from class edu.wisc.ssec.mcidas.AREAnav
`areaCoordToImageCoord, areaCoordToImageCoord, areaCoordToImageCoord, areaCoordToImageCoord, doubleToFloat, equals, floatToDouble, getLineOffset, imageCoordToAreaCoord, imageCoordToAreaCoord, imageCoordToAreaCoord, imageCoordToAreaCoord, isFlippedLineCoordinates, makeAreaNav, makeAreaNav, setFlipLineCoordinates, setImageStart, setMag, setMag, setRes, setRes, setStart, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GOESnav

    public GOESnav(int[] iarr)
            throws IllegalArgumentException

  Set up for the real math work. Must pass in the int array of the GOES nav 'codicil'.

Parameters:
  `iarr` - the nav block from the image file
Throws:
  `IllegalArgumentException` - if the nav block is not a GOES type.

Method Detail

### toLatLon

    public float[][] toLatLon(float[][] linele)

  converts from satellite coordinates to latitude/longitude

  Overrides:
    `toLatLon` in class `AREAnav`
  Returns:
    latlon[][] array of lat/long pairs. Output array is latlon[indexLat][] of latitudes and latlon[indexLon][] of longitudes.

### toLatLon

    public double[][] toLatLon(double[][] linele)

  Description copied from class: `AREAnav`
  converts from satellite coordinates to latitude/longitude

  Specified by:
    `toLatLon` in class `AREAnav`
  Returns:
    latlon[][] array of lat/long pairs. Output array is latlon[indexLat][] of latitudes and latlon[indexLon][] of longitudes.

### toLinEle

    public float[][] toLinEle(float[][] latlon)

  toLinEle converts lat/long to satellite line/element

  Overrides:
    `toLinEle` in class `AREAnav`
  Returns:
    linele[][] array of line/element pairs. Where linele[indexLine][] is a line and linele[indexEle][] is an element. These are in 'file' coordinates (not "image" coordinates);

### toLinEle

    public double[][] toLinEle(double[][] latlon)

  Description copied from class: `AREAnav`
  toLinEle converts lat/long to satellite line/element

  Specified by:
    `toLinEle` in class `AREAnav`
  Returns:
    linele[][] array of line/element pairs. Where linele[indexLine][] is a line and linele[indexEle][] is an element. These are in 'file' coordinates (not "image" coordinates);